org.apache.cassandra.cql3.statements

## Class CreateTableStatement.RawStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.CreateTableStatement.RawStatement

Enclosing class:
  CreateTableStatement

    public static class CreateTableStatement.RawStatement
    extends CFStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

Fields
`CFPropDefs` `properties`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`CreateTableStatement.RawStatement(CFName name, boolean ifNotExists)`

### Method Summary

Methods
`void` `addColumnAlias(ColumnIdentifier alias)`
`void` `addDefinition(ColumnIdentifier def, CQL3Type type, boolean isStatic)`
`void` `addKeyAliases(java.util.List<ColumnIdentifier> aliases)`
`void` `checkAccess(ClientState state)`
`CqlResult` `execute(ClientState state, java.util.List<java.nio.ByteBuffer> variables)`
`ParsedStatement.Prepared` `prepare()` Transform this raw statement into a CreateTableStatement.
`void` `setCompactStorage()`
`void` `setOrdering(ColumnIdentifier alias, boolean reversed)`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### properties

    public final CFPropDefs properties

### Constructor Detail

#### CreateTableStatement.RawStatement

    public CreateTableStatement.RawStatement(CFName name,
                                     boolean ifNotExists)

### Method Detail

#### prepare

    public ParsedStatement.Prepared prepare()
                                     throws RequestValidationException

Transform this raw statement into a CreateTableStatement.

Specified by:
  `prepare` in class `ParsedStatement`
Throws:
  `RequestValidationException`

#### addDefinition

    public void addDefinition(ColumnIdentifier def,
                     CQL3Type type,
                     boolean isStatic)

#### addKeyAliases

    public void addKeyAliases(java.util.List<ColumnIdentifier> aliases)

#### addColumnAlias

    public void addColumnAlias(ColumnIdentifier alias)

#### setOrdering

    public void setOrdering(ColumnIdentifier alias,
                   boolean reversed)

#### setCompactStorage

    public void setCompactStorage()

#### checkAccess

    public void checkAccess(ClientState state)

#### execute

    public CqlResult execute(ClientState state,
                    java.util.List<java.nio.ByteBuffer> variables)